tellraw @a {"text": "------------------------------------"}
scoreboard players set game status -1
#team/tag
team leave @a
tag @a remove player
tag @a remove died
tag @a remove win
tag @a remove spectator
tag @a remove creative
#gamerule
gamerule doDaylightCycle false
gamerule doWeatherCycle false
gamerule doMobSpawning true
gamerule naturalRegeneration true
gamerule reducedDebugInfo false
gamerule announceAdvancements false
gamerule keepInventory true
difficulty peaceful
#
effect clear @a
clear @a
function deathswap:wait/clear_ender_chest
xp set @a 0 points
xp set @a 0 levels
kill @e[type=marker,tag=start]
kill @e[type=marker,tag=pos]
gamemode adventure @a
kill @a
gamemode survival @a 
tp @a @e[type=marker,tag=lobby,limit=1]
advancement revoke @a everything
recipe take @a *

#設定時間
execute if score time_set setting matches 0 run time set day
execute if score time_set setting matches 1 run time set noon
execute if score time_set setting matches 2 run time set night
execute if score time_set setting matches 3 run time set midnight
#設定天氣
execute if score weather setting matches 0 run weather clear
execute if score weather setting matches 1 run weather rain
execute if score weather setting matches 2 run weather thunder

#team
team modify red collisionRule always
team modify blue collisionRule always
team modify yellow collisionRule always
team modify green collisionRule always

team modify red friendlyFire true
team modify blue friendlyFire true
team modify yellow friendlyFire true
team modify green friendlyFire true

scoreboard players set tick timer 0
scoreboard players set second timer 0
scoreboard players set swap_countdown timer 0
scoreboard players set swap_time timer 0
scoreboard players set wait timer 0
scoreboard players set end timer 0
scoreboard players set play_time timer 0
scoreboard players set safetime timer 30
scoreboard players set gmchange timer 0

scoreboard players reset @a hurt
scoreboard players reset @a death
scoreboard players reset @a health
scoreboard players reset @a team_red
scoreboard players reset @a team_blue
scoreboard players reset @a team_yellow
scoreboard players reset @a team_green 

scoreboard players set team_red status 0
scoreboard players set team_blue status 0
scoreboard players set team_yellow status 0
scoreboard players set team_green status 0
scoreboard players set win status 0
scoreboard players set gmchange status 0

scoreboard players set @a solo_iterables 0
scoreboard players set @a solo_teleport 0

scoreboard players set team_choose setting 0

scoreboard players set red_count count 0
scoreboard players set blue_count count 0
scoreboard players set yellow_count count 0
scoreboard players set green_count count 0
scoreboard players set swap_count count 0
scoreboard players set team_count count 0
scoreboard players set player_count count 0

scoreboard players set @a warped_right_click 0
scoreboard players set @a carrot_right_click 0

scoreboard objectives setdisplay list win_score
scoreboard objectives setdisplay sidebar win_score

execute as @a run attribute @s minecraft:generic.max_health base set 20

#bossbar
bossbar set deathswap:gmchange_time visible false
bossbar set deathswap:swap_time visible false
execute if score language setting matches 1 run bossbar set deathswap:wait name "§eYou are waiting for play §6Death Swap"
execute if score language setting matches 2 run bossbar set deathswap:wait name "§e你正在等待遊玩§6死亡交換"
bossbar set deathswap:wait visible true
bossbar set deathswap:wait value 200


scoreboard players set game status 0
function deathswap:ui/update/main

tellraw @a {"text": "------------------------------------"}
#english
execute if score language setting matches 1 run tellraw @a [{"text": "§6Death Swap§7§l｜§r"},{"text": "§2Successfully reset §6Death Swap"}]
execute if score language setting matches 1 run tellraw @a [{"text": "§6Death Swap§7§l｜§r"},{"text": "§6Death Swap §fMade by §dvipvincent"}]
execute if score language setting matches 1 run tellraw @a [{"text": "§a[Modrinth] ","clickEvent": {"action": "open_url","value": "https://modrinth.com/datapack/deathswap"}},{"text": "§6[CurseForge] ","clickEvent": {"action": "open_url","value": "https://www.curseforge.com/minecraft/data-packs/deathswap"}},{"text": "§3[Planet Minecraft] ","clickEvent": {"action": "open_url","value": "https://www.planetminecraft.com/data-pack/deathswap-6145205/"}},{"text": "§c[Youtube] ","clickEvent": {"action": "open_url","value": "https://www.youtube.com/@vipvincentgame"}},{"text": "§9[Discord] ","clickEvent": {"action": "open_url","value": "https://discord.gg/3BKAydVfDk"}}]
execute if score language setting matches 1 run tellraw @a ""
execute if score language setting matches 1 run tellraw @a[tag=!admin] [{"text": "§b[If you are an OP player, click here to obtain admin rights]","clickEvent": {"action": "run_command","value": "/tag @s add admin"},"hoverEvent": {"action": "show_text","value": "Only for OP players"}}]
execute if score language setting matches 1 run tellraw @a[tag=admin] [{"text": "§c[You already have admin rights, click here to revoke yours]","clickEvent": {"action": "run_command","value": "/tag @s remove admin"},"hoverEvent": {"action": "show_text","value": "Only for OP players"}}]
execute if score language setting matches 1 run tellraw @a ""
execute if score language setting matches 1 run title @a title {"text": "§6Death Swap"}
execute if score language setting matches 1 run title @a subtitle {"text": "§dMade by vipvincent"}

#中文
execute if score language setting matches 2 run tellraw @a [{"text": "§6死亡交換§7§l｜§r"},{"text": "§2已成功重製§6死亡交換"}]
execute if score language setting matches 2 run tellraw @a [{"text": "§6死亡交換§7§l｜§r"},{"text": "§6死亡交換§f是由§d早安豆江 vipvincent§f製作"}]
execute if score language setting matches 2 run tellraw @a [{"text": "§a[Modrinth] ","clickEvent": {"action": "open_url","value": "https://modrinth.com/datapack/deathswap"}},{"text": "§6[CurseForge] ","clickEvent": {"action": "open_url","value": "https://www.curseforge.com/minecraft/data-packs/deathswap"}},{"text": "§3[Planet Minecraft] ","clickEvent": {"action": "open_url","value": "https://www.planetminecraft.com/data-pack/deathswap-6145205/"}},{"text": "§c[Youtube] ","clickEvent": {"action": "open_url","value": "https://www.youtube.com/@vipvincentgame"}},{"text": "§9[Discord] ","clickEvent": {"action": "open_url","value": "https://discord.gg/3BKAydVfDk"}}]
execute if score language setting matches 2 run tellraw @a ""
execute if score language setting matches 2 run tellraw @a[tag=!admin] [{"text": "§b[如果你是OP玩家，點擊此處即可獲得管理員權限]","clickEvent": {"action": "run_command","value": "/tag @s add admin"},"hoverEvent": {"action": "show_text","value": "限OP玩家使用"}}]
execute if score language setting matches 2 run tellraw @a[tag=admin] [{"text": "§c[你已經擁有管理員權限，點擊此處即可撤銷自己的管理員權限]","clickEvent": {"action": "run_command","value": "/tag @s remove admin"},"hoverEvent": {"action": "show_text","value": "限OP玩家使用"}}]
execute if score language setting matches 2 run tellraw @a ""
execute if score language setting matches 2 run title @a title {"text": "§6死亡交換"}
execute if score language setting matches 2 run title @a subtitle {"text": "§d製作：早安豆江 vipvincent"}

execute as @a at @s run playsound entity.experience_orb.pickup master @s ~ ~ ~ 1